# Organizational Credential Manager (v2)

## Overview

OCM (Organizational Credential Manager) is a Node.js-based microservice system designed to manage organizational credentials.

## Prerequisites

* Node.js (version 20 or later)
* pnpm
* Docker and Docker Compose for local development

## Installation

1. Clone the repository:

  ```bash
  git clone https://gitlab.eclipse.org/eclipse/xfsc/ocm/ocm-engine.git
  ```

2. Navigate to the repository directory:

  ```bash
  cd ocm-engine
  ```

3. Install dependencies:

  ```bash
  pnpm i
  ```

4. Start the services locally:

  ```bash
  pnpm -F ssi-abstraction start
  pnpm -F connection-manager start
  ...
  ```

5. Or start the whole stack in Docker Compose:

  ```bash
  docker compose up -d
  ```

6. Create a new tenant:

  ```bash
  pnpm createTenant [tenantName]
  ```

  Desired label for the new tenant could be set with `tenantName`.

## Example Flows (OCM Usage)

Please refer to [OCM-flow-overview](documentation/ocm-flow-overview.md)

## License

This project is licensed under the [Apache 2.0 License](LICENSE)
