# ssi-abstraction

![Version: 1.0.0](https://img.shields.io/badge/Version-1.0.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.0.0](https://img.shields.io/badge/AppVersion-1.0.0-informational?style=flat-square)

OCM SSI Abstraction Helm Chart

**Homepage:** <https://gitlab.eclipse.org/eclipse/xfsc/ocm/ocm-engine>

## Source Code

* <https://gitlab.eclipse.org/eclipse/xfsc/ocm/ocm-engine/-/tree/main/apps/ssi-abstraction>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `3` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `70` |  |
| autoscaling.targetMemoryUtilizationPercentage | int | `70` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"ocm-ssi-abstraction"` |  |
| image.tag | string | `"latest"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.className | string | `"nginx"` |  |
| ingress.enabled | bool | `true` |  |
| ingress.hosts[0].host | string | `"kubernetes.docker.internal"` |  |
| ingress.hosts[0].paths[0].backend.service.name | string | `"ssi-abstraction"` |  |
| ingress.hosts[0].paths[0].backend.service.port.number | int | `3000` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"Prefix"` |  |
| ingress.tls[0].hosts[0] | string | `"kubernetes.docker.internal"` |  |
| ingress.tls[0].secretName | string | `"ssi-abstraction-tls"` |  |
| nameOverride | string | `""` |  |
| podAnnotations | object | `{}` |  |
| podLabels | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `3001` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.automount | bool | `true` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| ssiAbstraction.agent.autoAcceptConnection | bool | `true` |  |
| ssiAbstraction.agent.autoAcceptCredential | string | `"contentApproved"` |  |
| ssiAbstraction.agent.host | string | `"http://ocm-ssi-abstraction.default.svc.cluster.local"` |  |
| ssiAbstraction.agent.inboundPort | int | `3000` |  |
| ssiAbstraction.agent.ledgerId | string | `"BCOVRIN_TEST"` |  |
| ssiAbstraction.agent.name | string | `"ssi-abstraction-agent"` |  |
| ssiAbstraction.agent.publicDidSeed | string | `"6b8b882e2618fa5d45ee7229ca000000"` |  |
| ssiAbstraction.agent.urlPath | string | `"/"` |  |
| ssiAbstraction.agent.walletId | string | `"ssi-wallet-id"` |  |
| ssiAbstraction.agent.walletKey | string | `"ssi-wallet-key"` |  |
| ssiAbstraction.agentHost | string | `"http://ocm-ssi-abstraction.default.svc.cluster.local"` |  |
| ssiAbstraction.jwtSecret | string | `nil` |  |
| ssiAbstraction.nats.password | string | `"nats_password"` |  |
| ssiAbstraction.nats.url | string | `"nats://ocm-nats.default.svc.cluster.local:4222"` |  |
| ssiAbstraction.nats.user | string | `"nats_client"` |  |
| ssiAbstraction.port | int | `3001` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.12.0](https://github.com/norwoodj/helm-docs/releases/v1.12.0)
