import type { AppAgent } from '../agent.service.js';
import type { EventTenantsCreate, EventTenantsCreateInput } from '@ocm/shared';

import { Injectable } from '@nestjs/common';

import { AgentService } from '../agent.service.js';

@Injectable()
export class TenantsService {
  private agent: AppAgent;

  public constructor(agentService: AgentService) {
    this.agent = agentService.agent;
  }

  public async create(
    options: EventTenantsCreateInput,
  ): Promise<EventTenantsCreate['data']> {
    return await this.agent.modules.tenants.createTenant({
      config: { label: options.label },
    });
  }
}
